diff -ruN libalkimia-4.3.1.orig/libalkimia/CMakeLists.txt libalkimia-4.3.1/libalkimia/CMakeLists.txt
--- libalkimia-4.3.1.orig/libalkimia/CMakeLists.txt	2011-08-01 12:14:46.000000000 +0200
+++ libalkimia-4.3.1/libalkimia/CMakeLists.txt	2011-08-01 23:04:41.000000000 +0200
@@ -86,6 +86,8 @@
 endif(NOT WIN32)
 ########### documentation ###################
 
+if(BUILD_DOC)
+
 # check for Doxygen
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
@@ -95,9 +97,20 @@
 
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)
 
-  add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
+  add_custom_target(libalkimia_apidoc ALL ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
+else(DOXYGEN_FOUND)
+  MESSAGE(FATAL_ERROR "API documentation requested but doxygen not found")
 endif(DOXYGEN_FOUND)
 
+ELSE(BUILD_DOC)
+
+  MESSAGE(STATUS "")
+  MESSAGE(STATUS "Documentation will NOT be installed")
+  MESSAGE(STATUS "Because the option -DBUILD_DOC=ON wasn't passed to cmake")
+  MESSAGE(STATUS "")
+
+ENDIF(BUILD_DOC)
+
 ########### tests ###################
 
 set( alkvaluetest_SRCS alkvaluetest.cpp )
